ServiceRef (Tomcat API Documentation)
Keywords: org.apache.naming.ServiceRef class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming
Class ServiceRef

    java.lang.Object
      javax.naming.Reference
          org.apache.naming.ServiceRef

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ServiceRef

extends javax.naming.Reference

Represents a reference web service.

Author:
  Fabien Carrion
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_FACTORY` Default factory for this reference.
`static java.lang.String` | `JAXRPCMAPPING` Jaxrpcmapping address type.
`static java.lang.String` | `PORTCOMPONENTLINK` port-component-ref/port-component-link address type.
`static java.lang.String` | `SERVICE_INTERFACE` Service Classname address type.
`static java.lang.String` | `SERVICE_LOCAL_PART`
`static java.lang.String` | `SERVICE_NAMESPACE` ServiceQname address type.
`static java.lang.String` | `SERVICEENDPOINTINTERFACE` port-component-ref/service-endpoint-interface address type.
`static java.lang.String` | `WSDL` Wsdl Location address type.

Fields inherited from class javax.naming.Reference
`addrs, classFactory, classFactoryLocation, className`

Constructor Summary
`ServiceRef(java.lang.String refname, java.lang.String serviceInterface, java.lang.String[] serviceQname, java.lang.String wsdl, java.lang.String jaxrpcmapping)` Service Reference.
`ServiceRef(java.lang.String refname, java.lang.String serviceInterface, java.lang.String[] serviceQname, java.lang.String wsdl, java.lang.String jaxrpcmapping, java.lang.String factory, java.lang.String factoryLocation)` Service Reference.

Method Summary
`void` | `addHandler(HandlerRef handler)`
`java.lang.String` | `getFactoryClassName()` Retrieves the class name of the factory of the object to which this reference refers.
`HandlerRef` | `getHandler()` Add and Get Handlers classes.
`int` | `getHandlersSize()`
`java.lang.String` | `toString()` Return a String rendering of this object.

Methods inherited from class javax.naming.Reference
`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_FACTORY

    public static final java.lang.String DEFAULT_FACTORY

  Default factory for this reference.

  See Also:
    Constant Field Values

### SERVICE_INTERFACE

    public static final java.lang.String SERVICE_INTERFACE

  Service Classname address type.

  See Also:
    Constant Field Values

### SERVICE_NAMESPACE

    public static final java.lang.String SERVICE_NAMESPACE

  ServiceQname address type.

  See Also:
    Constant Field Values

### SERVICE_LOCAL_PART

    public static final java.lang.String SERVICE_LOCAL_PART

See Also:
  Constant Field Values

### WSDL

    public static final java.lang.String WSDL

  Wsdl Location address type.

  See Also:
    Constant Field Values

### JAXRPCMAPPING

    public static final java.lang.String JAXRPCMAPPING

  Jaxrpcmapping address type.

  See Also:
    Constant Field Values

### PORTCOMPONENTLINK

    public static final java.lang.String PORTCOMPONENTLINK

  port-component-ref/port-component-link address type.

  See Also:
    Constant Field Values

### SERVICEENDPOINTINTERFACE

    public static final java.lang.String SERVICEENDPOINTINTERFACE

  port-component-ref/service-endpoint-interface address type.

  See Also:
    Constant Field Values

Constructor Detail

### ServiceRef

    public ServiceRef(java.lang.String refname,
                      java.lang.String serviceInterface,
                      java.lang.String[] serviceQname,
                      java.lang.String wsdl,
                      java.lang.String jaxrpcmapping)

  Service Reference.

  Parameters:
    `serviceClass` - Service class

### ServiceRef

    public ServiceRef(java.lang.String refname,
                      java.lang.String serviceInterface,
                      java.lang.String[] serviceQname,
                      java.lang.String wsdl,
                      java.lang.String jaxrpcmapping,
                      java.lang.String factory,
                      java.lang.String factoryLocation)

  Service Reference.

  Parameters:
    `serviceClass` - Service class

Method Detail

### getHandler

    public HandlerRef getHandler()

  Add and Get Handlers classes.

### getHandlersSize

    public int getHandlersSize()

### addHandler

    public void addHandler(HandlerRef handler)

### getFactoryClassName

    public java.lang.String getFactoryClassName()

  Retrieves the class name of the factory of the object to which this reference refers.

  Overrides:
    `getFactoryClassName` in class `javax.naming.Reference`

### toString

    public java.lang.String toString()

  Return a String rendering of this object.

  Overrides:
    `toString` in class `javax.naming.Reference`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.